import { fn } from './fn.js';
import { baseResponseTemplate } from '../../../utils/response-templates/base-response-template';
import { postResponseTemplate } from '../../../utils/response-templates/post-response-template';

export const put = {
  schema: {
    api: {{api}},
    description: 'Update one {{pascalCase name}} object',
    tags: ['{{pascalCase name}}'],
    summary: 'This method allows you to update one {{pascalCase name}} object',
    params: {
      type: 'object',
      properties: {
        {{{propertyUniqueId}}}
      }
    },
    body: {
      type: 'object',
      properties: {
        {{camelCase name}}: '{{pascalCase name}}UpdateRequest#'
      }
    },
    response: {
      200: {
        description: 'Successful response',
        type: 'object',
        properties: {
          success: { type: 'boolean' },
          {{camelCase name}}: '{{pascalCase name}}UpdateResponse#'
        }
      },
      ...baseResponseTemplate,
      ...postResponseTemplate
    }
  },
  fn
};
